Overview

Using the TransducerDB Application

The Transducer Database assists in the storage and organization of transducers and equipment used in your laboratory. The Transducer Database package consists of a stand alone application, TransducerDB, and functionality within the Puma software. This portion of the help documentation explains how to create a new database for use in the Puma software.

Using the TransducerDB Application

Entering Data

Compatibility using Microsoft Access Driver

Transferring your database into Microsoft Excel

This online help is best viewed using Internet Explorer with text size 'smaller'.

Last updated on December 12, 2003

Copyright 2005 Spectral Dynamics Inc. Microsoft Access and Microsoft Excel are trademarks of Microsoft.


Main Window

Using the Transducer Database

This is the main window of the Transducer Database Application.

When first starting the program you will need to create a new database. Click on the New Database icon and enter the name of the database in the dialog. Once a blank database has been created the first record will be created for you and have the default serial number "<new record>". Because this is the primary key of the database, it must not be blank or have duplicate entries (except for Accelerometers which is explained in the topic, Entering Transducer Information in the Database). The main window of the Transducer Database contains the active entry and the database display rows. The database display rows are used for selecting an active entry for modification or to view the contents of the database.

New Database: This creates a new blank database. See Microsoft Access Compatibility for more information.
Open Database: This opens a previously created Transducer database.
Save Database: This saves the current changes made to the database.
Print Database: Prints the opened database.
New Record: This creates a new record. The default serial number "<required>" is used as a place holder to remind the user that this is a unique identifier that must be completed before saving the database.
Delete Record: This selects a record to be marked for deletion. When a record is marked for deletion, the row will be highlighted grey. Once the database is saved, the record will be removed.. Caution: This is a permanent action that cannot be undone. It is recommended that you keep a updated backup of your database incase records are deleted accidentally.
Replace Current Record: See "Finding and Replacing a Transducer in a Test" below.
Copy Record: This copies the selected row onto the clipboard.
Paste Record: This pastes the copied row onto the selected row, overwriting the data.
Copy Database to Clipboard: This copies the entire database to the clipboard. This is ideal for transferring your database information to a spreadsheet application such as Excel.
Navigation Buttons.
About: Displays software version.

Finding and Replacing a Transducer in a Test

This feature will allow the user to search and replace a transducer in a test. First select the transducer to search for and the transducer to replace it. Click on the browse button [...] to select the root directory where the random tests are located. Checking 'Recursive Directories' will also search directories down the path. For example, searching the c:\ directory with the recursive feature on will search every folder in the C drive instead of just the files in the c:\ directory. Note that recursive searches can take considerably longer. Once the search is finished a list of all random files will be displayed. Clicking on [Find and Replace] will start the process. Please be warned that once this action is taken it cannot be undone and all changes will be saved in tests.

Copyright 2005 Spectral Dynamics Inc.


Entering Transducer information in the Database

At the top of the transducer database application is the active column display which allows the user to edit the currently selected record.

The following are descriptions of each data field:

Serial #: This is a required field and is set as the primary key* in the database. This field cannot be duplicated in the same database or be null. However, when a record has a transducer type of 'Accelerometer', each direction (x, y, and z) can have the same serial number because they are contained on the same device. The transducer database handles this by appending the direction to the serial number which is not visible to the user unless the database is viewed in a program other than TransducerDB. A tilde (~) followed by the direction is appended at the end of the serial number when the database is saved.

Direction: This is defined as 'None' unless transducer type 'Accelerometer' is selected, in which a direction can be set (x, y , or z).

Transducer Type: Enumerated types are Displacement, Microphone, Velocity, Strain, Accelerometer, or Other. Type 'Other' is used for any equipment other than the given enumerated types. When displayed as the channel settings info tag in Puma, only the following fields will have relevance: Serial Number, Manufacturer, Model, Cal Date, Cal Expiration, Prior Cal, Cal Type, and Cal Level.

Sensitivity: This is a floating point value with a precision value of 3 decimal places.

Units: Each Transducer Type has the following enumerated unit types:

Displacement | - in, mm
Microphone | - pascals
Velocity | - in/s, mm/s
Strain | - uin
Accelerometer | - mv/EU, pC/g

db Reference: This is a floating point value with a precision value of 3 decimal places.

Manufacturer: This is a user defined field. This field contains a drop down box which contains all manufacturers in the database so that the user can choose a previously defined manufacturer.

Model: This is a user defined field. This field contains a drop down box which contains all models in the database so that the user can choose a previously defined model.

Cal Date: This is user defined date field in the format, Month / Date / Year. This field can be defined by typing in the date numerically or double clicking the left mouse button to open up the calendar control as shown below.

Cal Expiration: This is user defined date field in the format, Month / Date / Year. This field can be defined by typing in the date numerically or double clicking the left mouse button to open up the calendar control as shown below. This field checks the systems current date and will display in red if the calibration has expired.

TransducerDB's calendar control

Prior Cal: This is a floating point value with a precision value of 3 decimal places.

Cal Type: Choose Linear or Log.

Cal Level: This is a floating point value with a precision value of 3 decimal places.

ICP: Choose On or Off.

*Primary Key: The power of a relational database system such as when using the information in Microsoft Access comes from its ability to quickly find and bring together information stored in separate tables using queries, forms, and reports. In order to do this, each table should include a field or set of fields that uniquely identifies each record stored in the table. This information is called the primary key of the table. Once you designate a primary key for a table, Access will prevent any duplicate or null values from being entered in the primary key fields.


Microsoft Access Compatibility

The transducer database application uses the Microsoft Access Driver (*.mdb) file type which is viewable in Microsoft Access. You may view and query the database created from TransducerDB but should not modify this database in any way. Caution: Editing this table in the design view or adding / modifying the data may cause undesirable effects in both TransducerDB and Puma. All changes should be made using the TransducerDB database application only.

Setting up the ODBC driver:

If you have problems creating a new database you may need to install the Microsoft Access Driver using the ODBC Data Source Administrator. Make sure this driver appears in the dialog under the tab 'Drivers' as shown below.

.


Microsoft Excell Compatibility

Previous topic Transferring your database into Microsoft Excel

The transducer database can easily be ported over to Microsoft Excel by using the Copy Database to Clipboard command from the toolbar menu then pasting it into Excel.


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2005 Spectral Dynamics Inc.

Microsoft Excel, Word, and Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.